# NLP for Social Science

[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[codecov-image]: https://codecov.io/gh/entelecheia/nlp4ss/branch/main/graph/badge.svg?token=FZ6rvEttdM
[codecov-url]: https://codecov.io/gh/entelecheia/nlp4ss
[pypi-image]: https://img.shields.io/pypi/v/nlp4ss
[license-image]: https://img.shields.io/github/license/entelecheia/nlp4ss
[license-url]: https://github.com/entelecheia/nlp4ss/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/nlp4ss?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/nlp4ss
[release-url]: https://github.com/entelecheia/nlp4ss/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/entelecheia/nlp4ss
[pypi-url]: https://pypi.org/project/nlp4ss
[docs-url]: https://nlp4ss.entelecheia.ai
[changelog]: https://github.com/entelecheia/nlp4ss/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/nlp4ss/blob/main/CONTRIBUTING.md
<!-- Links: -->

A course on applying natural language processing (NLP) techniques for social science research.

- Documentation: [https://nlp4ss.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/nlp4ss][repo-url]
- PyPI: [https://pypi.org/project/nlp4ss][pypi-url]

NLP for Social Science (nlp4ss) is a comprehensive, multilingual course and toolkit designed to bridge the gap between natural language processing (NLP) and social science research. This project provides researchers, students, and practitioners with the knowledge and tools to apply cutting-edge NLP techniques to social science questions. It covers a wide range of topics, including text preprocessing, sentiment analysis, topic modeling, and machine learning applications in social contexts. With interactive Jupyter notebooks, hands-on examples, and real-world case studies, nlp4ss offers a practical approach to integrating computational methods into social science research.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [CC-BY-4.0 License][license-url].
